/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 8; tab-width: 8 -*-  */
/* 
 * Copyright (C) 2019 by Giam Teck Choon
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301, USA.
 */

/*!
 *  @file make_seekable.h
 *  @date 21 Sep 2019
 *  @author Giam Teck Choon
 *  @brief Function prototype to make fd seekable.
 *  @bug No known bugs.
 */
#ifndef __MAKE_SEEKABLE__H__
#define __MAKE_SEEKABLE__H__

/*!
 *  @brief If file descriptor fd is seekable, we just return the file
 *         descriptor fd. Otherwise we create a temp. one and copy fd to
 *         newfd, dup2 newfd to fd and return fd instead.
 *  @param fd File descriptor.
 *  @return fd on success, or -1 on error and errno is set.
 */
int make_seekable(int fd);

#endif
