/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 8; tab-width: 8 -*-  */
/* 
 * Copyright (C) 2019 by Giam Teck Choon
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301, USA.
 */

/*!
 *  @file mktmpdir.h
 *  @date 21 Sep 2019
 *  @author Giam Teck Choon
 *  @brief Function prototype to create random temporary directory.
 *  @bug No known bugs.
 */

#ifndef __MKTMPDIR__H__
#define __MKTMPDIR__H__

/*!
 *  @brief Create a random temporary directory within parent path directory.
 *  @param path Path to parent of temporary directory to be created.
 *  @param s Record the absolute random temporary directory string.
 *  @return On success, 0 is returned. On error, -1 is returned, and errno is
 *          set appropriately.
 */
int mktmpdir(const char *path, str *s);

#endif
